Subject: Re: 24.0.50; doc of `apropos-internal'

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Fri, 15 Jul 2011 14:39:31 +0200

"Drew Adams" <[email-masked]> writes:

> Please add to the doc string some info about what the context is
> when/where PREDICATE is invoked.  Suppose, for instance, you wanted to
> use a PREDICATE such as this:
>
> (lambda (c)
>   (and (commandp c)
>        (where-is-internal c overriding-local-map 'non-ascii))
>
> The behavior of the PREDICATE depends on which buffer is current when it
> is invoked.  Can we assume that the buffer is the same one as when
> `apropos-internal' was invoked?  Likewise wrt the selected window.
>
> To find this info, users currently need to look at the C source code.

That sounds reasonable, but I'm not quite sure that's how the predicate
is meant to be used.  That is, I'm not sure it's an implementation
detail what buffer the predicate is called from, or whether it's
supposed to be that way.

Anybody know?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/